Name:		logstash
Version:	1.4.2
Release:	2%{?dist}
Summary:	log and event management
Group: 		System Environment/Daemons
License:	ASL 2.0
URL:		http://logstash.net/

Source0: https://download.elasticsearch.org/%{name}/%{name}/%{name}-%{version}.tar.gz
Source1: logrotate.conf
Source2: logstash.sysv.redhat
Source3: logstash.default

Requires: jre >= 1.6.0

BuildArch: noarch

# This is a binary package and it will pull in strange deps that are bundled.
AutoReqProv: no

%description
scalable log and event management (search, archive, pipeline).


%prep
%setup -n %{name}-%{version}


%build


%install
mkdir -p %{buildroot}/opt/%{name}/tmp
mkdir -p %{buildroot}%{_sysconfdir}/logrotate.d/
mkdir -p %{buildroot}%{_sysconfdir}/sysconfig/
mkdir -p %{buildroot}%{_sysconfdir}/%{name}/conf.d/
mkdir -p %{buildroot}%{_sysconfdir}/init.d/
mkdir -p %{buildroot}%{_sharedstatedir}/%{name}
mkdir -p %{buildroot}%{_var}/run/%{name}
mkdir -p %{buildroot}%{_var}/log/%{name}

cp -a * %{buildroot}/opt/%{name}/
install -m644 %{SOURCE1} %{buildroot}/%{_sysconfdir}/logrotate.d/%{name}
install -m755 %{SOURCE2} %{buildroot}/%{_sysconfdir}/init.d/%{name}
install -m644 %{SOURCE3} %{buildroot}/%{_sysconfdir}/sysconfig/%{name}


%pre
# create logstash group
if ! getent group logstash >/dev/null; then
  groupadd -r logstash
fi

# create logstash user
if ! getent passwd logstash >/dev/null; then
  useradd -r -g logstash -d /opt/logstash \
    -s /sbin/nologin -c "logstash" logstash
fi


%post
/sbin/chkconfig --add logstash
chown -R logstash:logstash /opt/logstash
chown -R logstash /var/log/logstash
chown logstash:logstash /var/lib/logstash


%preun
if [ $1 -eq 0 ]; then
  /sbin/service logstash stop >/dev/null 2>&1 || true
  /sbin/chkconfig --del logstash
  if getent passwd logstash >/dev/null ; then
    userdel logstash
  fi

  if getent group logstash > /dev/null ; then
    groupdel logstash
  fi
fi


%files
%doc LICENSE README.md
/opt/%{name}
%{_sysconfdir}/logrotate.d/%{name}
%{_sysconfdir}/init.d/%{name}
%{_sysconfdir}/sysconfig/%{name}
%{_sharedstatedir}/%{name}
%{_var}/run/%{name}
%{_var}/log/%{name}/


%changelog
* Thu Nov 13 2014 Wesley Hearn <whearn@redhat.com> - 1.4.2-2
- Disable automatic deps

* Tue Nov 11 2014 Wesley Hearn <whearn@redhat.com> - 1.4.2-1
- Initial package
